OpenOffice Word dokumentum tábla feldolgozó halom túlcsordulás sérülékenységei

CH azonosító

CH-3101

Felfedezés dátuma

2010.05.05.

Súlyosság

Magas

Érintett rendszerek

Debian
Enterprise Linux AS
Enterprise Linux Desktop
Enterprise Linux Desktop WS
Enterprise Linux ES
Enterprise Linux WS
Fedora
Linux
Linux Enterprise
Linux Enterprise Desktop
Novell
OpenOffice
Openoffice.org
Red Hat
SUSE
StarOffice
StarSuite
Sun Microsystems
Ubuntu
openSUSE

Érintett verziók

Red Hat Enterprise Linux Desktop 4, 5
Red Hat Enterprise Linux Desktop WS 5
Red Hat Enterprise Linux ES 3, 4
Red Hat Enterprise Linux AS 3, 4
Red Hat Enterprise Linux WS 3, 4
Ubuntu Linux 8.04 - 9.04
SUSE openSUSE 10.3
Sun Microsystems StarSuite 7 - 9
Sun Microsystems StarOffice 7 - 9
SUSE Linux Enterprise 10, 11
Novell openSUSE 11.0, 11.1
SUSE Linux Enterprise Desktop 9.0
Openoffice.org OpenOffice 3.1
Fedora Linux 10
Debian Linux 4.0, 5.0

Összefoglaló

Az OpenOffice egy olyan távoli halom alapú puffer túlcsordulás sérülékenységeinek hibáját jelentették, amelyeket bizonyos fájlok feldolgozásakor fellépő hiba okoz.

Leírás

Az OpenOffice bizonyos fájlok feldolgozásakor jelentkező, távoli halom túlcsordulás sérülékenységeit jelentették.

A sérülékenységeket a távoli támadók kártékony tartalmú fájlok segítségével használhatják ki.

A sérülékenységet kihasználó támadók tetszőleges kódot futtathatnak az érintett alkalmazás környezetében, ha a felhasználó megnyit egy ilyen fájlt. A sebezhetőség sikertelen kihasználása szolgáltatás megtagadást (DoS) idézhet elő.

Megoldás

Frissítsen a legújabb verzióra